EAPI=4

inherit multilib scons-utils toolchain-funcs git-2

DESCRIPTION="A graphical livecoding environment for Scheme."
HOMEPAGE="http://www.pawfal.org/fluxus"

LICENSE="GPL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="multitexture 3dstereo glsl accumulation"

EGIT_REPO_URI="git://git.savannah.nongnu.org/fluxus.git"

#RESTRICT="strip"

DEPEND=">=media-sound/jack-audio-connection-kit-0.101.1-r1
     dev-scheme/racket[futures,jit,places]
     >=dev-games/ode-0.8
     >=sci-libs/fftw-3.1.2
     >=media-libs/liblo-0.8
     glsl? ( >=media-libs/glew-1.3.5 )
     >=media-libs/libpng-1.2.18
     >=media-libs/tiff-3.8.2-r2
     >=media-libs/flac-1.1.2-r8
     >=media-libs/libsndfile-1.0.17
     virtual/opengl
     virtual/glu
     media-libs/freeglut
     dev-util/scons"

RDEPEND="${DEPEND}"

S="${WORKDIR}/${PN}"

src_compile() {
	einfo "workdir: $S"
	escons RacketPrefix="/usr" Prefix="/usr"
}

src_install() {
	escons Prefix="/usr" RacketPrefix="/usr" INSTALL_ROOT="${D}" DESTDIR="${D}" install
}
